Uploaded image for project: 'Hive'
  1. Hive
  2. HIVE-8374

schematool fails on Postgres versions < 9.2

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.0.0
    • Component/s: Database/Schema
    • Labels:

      Description

      The upgrade script for HIVE-5700 creates an UDF with language 'plpgsql',
      which is available by default only for Postgres 9.2+.

      For older Postgres versions, the language must be explicitly created,
      otherwise schematool fails with the error:

      Error: ERROR: language "plpgsql" does not exist
        Hint: Use CREATE LANGUAGE to load the language into the database. (state=42704,code=0)
      

        Attachments

        1. HIVE-8374.3.patch
          33 kB
          Mohit Sabharwal
        2. HIVE-8374.2.patch
          26 kB
          Mohit Sabharwal
        3. HIVE-8374.1.patch
          13 kB
          Mohit Sabharwal
        4. HIVE-8374.patch
          9 kB
          Mohit Sabharwal

          Issue Links

            Activity

              People

              • Assignee:
                mohitsabharwal Mohit Sabharwal
                Reporter:
                mohitsabharwal Mohit Sabharwal
              • Votes:
                0 Vote for this issue
                Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: